org.apache.sis.storage

## Class IllegalNameException

- Object
- - Throwable
  - - Exception
    - - DataStoreException
      - - IllegalNameException

- All Implemented Interfaces:
    Serializable, LocalizedException

      public class IllegalNameException
      extends DataStoreException

  Thrown when an invalid name is used for identifying a coverage, a feature or other kind of element in a data store. A name may be invalid because no coverage or feature exists in the `DataStore` for that name, or because the name is ambiguous (in which case the exception message should explain why), or because the name of a new feature type to add in the `DataStore` conflicts with the name of an existing feature type.
  Since:
    0.8
  See Also:
    Serialized Form

  Defined in the `sis-storage` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalNameException()` Creates an exception with no cause and no details message.
    `IllegalNameException(Locale locale, String store, String feature)` Creates a new exception with a message saying that the feature of the given name has not been found.
    `IllegalNameException(String message)` Creates an exception with the specified details message.
    `IllegalNameException(String message, Throwable cause)` Creates an exception with the specified details message and cause.
    `IllegalNameException(Throwable cause)` Creates an exception with the specified cause and no details message.

  - ### Method Summary

    - ### Methods inherited from class DataStoreException

      `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalNameException

          public IllegalNameException()

      Creates an exception with no cause and no details message.

    - #### IllegalNameException

          public IllegalNameException(String message)

      Creates an exception with the specified details message.
      Parameters:
        `message` - the detail message.

    - #### IllegalNameException

          public IllegalNameException(Throwable cause)

      Creates an exception with the specified cause and no details message.
      Parameters:
        `cause` - the cause for this exception.

    - #### IllegalNameException

          public IllegalNameException(String message,
                                      Throwable cause)

      Creates an exception with the specified details message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause for this exception.

    - #### IllegalNameException

          public IllegalNameException(Locale locale,
                                      String store,
                                      String feature)

      Creates a new exception with a message saying that the feature of the given name has not been found.
      Parameters:
        `locale` - the locale for the message to be returned by `DataStoreException​.getLocalizedMessage()`.
        `store` - name of the data store for which the feature has not been found, or `null` if unknown.
        `feature` - name of the feature that has not been found.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.